# Variable insertTenant

insertTenant: (
subdomain: string,
email?: string,
description?: string,
template?: string,
) => Promise<string>

#### Type Declaration

- - (
    subdomain: string,
    email?: string,
    description?: string,
    template?: string,
    ): Promise<string>
  - `Function`

    Insert Tenant

    - normalize domain name
    - create db schema
    - reset db schema (create required )

    #### Parameters

    - subdomain: string

      tenant name (subdomain)

    - `Optional` email: string

      email of creator

    - `Optional` description: string

      description of tenant

    - `Optional` template: string

    #### Returns Promise<string>

- Defined in index.ts:48